
# xc3s-sdram-01 46.99   x 37.465 (0.2)
# xc2c32a-01    23.9711 x 29.3688
# plltst-01     10.9389 x 23.2127
# pmpset1-02    48.8951 x 49.8413
# clk44         20.955 x 18.415
               
# um162r2       19.25 x 31.95 18.9325 31.6325

# G[TB]L cmp/sol + out
# G[TB]O plc/pls + out
# G[TB]P pac/pas + out
# G[TB]S stc/sts + out
# TXT    drd ( xxx )
# TXT EXCELLON Offset 0/0 no mark


TOOLDIR=./gerbtool-0.4win
OUTBASE=fpgaset1

EXT_LIST="drd plc sol cmp pls stc sts pac pas"
#EXT_LIST="drd sol out"

 perl $TOOLDIR/gerbx2.pl out/layout.out > $OUTBASE.dim


for i in $EXT_LIST
do
   if [ $i = drd ]; then
	CMD="perl $TOOLDIR/drdmerge.pl"
   else
	CMD="perl $TOOLDIR/gerbmerge.pl"
   fi
	F=""
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/xc3s50a-sdram-02.out`    -x  0.1mm -y  0.1mm out/xc3s50a-sdram-02.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/xc2c32a-01.out` -x 0.1mm -y  49.9mm out/xc2c32a-01.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/xc2c32a-01.out` -x 0.1mm -y  75.9mm out/xc2c32a-01.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/plltst-01.out` -r -x 33.5mm -y  50.4mm out/plltst-01.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/plltst-01.out` -r -x 33.5mm -y  76.6mm out/plltst-01.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/pmpset1-02.out` -x 50.05mm -y  51.1mm out/pmpset1-02.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/clk44-02.out` -r -x 43.0mm -y  0.1mm out/clk44-02.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/tn8102bc.out` -r -x 43.0mm -y  25.0mm out/tn8102bc.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/um162r2.out` -x 68.25mm -y  0.1mm out/um162r2.$i"
	F="$F -g `perl $TOOLDIR/gerbgeom.pl out/um162r2.out` -x 68.25mm -y  25.0mm out/um162r2.$i"
   if [ $i != drd ]; then
	F="$F -g `perl $TOOLDIR/gerbgeom.pl $OUTBASE.dim` -x 0.1mm -y  0.1mm $OUTBASE.dim"
   fi
$CMD $F > $OUTBASE.$i
done


mv $OUTBASE.stc $OUTBASE.GTS
mv $OUTBASE.cmp $OUTBASE.GTL
mv $OUTBASE.plc $OUTBASE.GTO
mv $OUTBASE.sts $OUTBASE.GBS
mv $OUTBASE.sol $OUTBASE.GBL
mv $OUTBASE.pls $OUTBASE.GBO
 perl $TOOLDIR/drdshrink.pl $OUTBASE.drd > $OUTBASE.TXT
mv $OUTBASE.pac $OUTBASE.GTP
mv $OUTBASE.pas $OUTBASE.GBP
rm $OUTBASE.drd
rm $OUTBASE.dim
